$(document).ready(async () => {
    await loadVenues();
});

const loadVenues = async () => {
    const response = await $.ajax({
        url: "/api/venues/",
        method: "GET"
    });

    for (const venue of response?.results || []) {
        addVenue(venue);
    }
}

const addVenue = venue => {
    let $template = $($("#venueItemTemplate").html());

    $template.find(".venue-item").data("id", venue.id);
    $template.find(".venue-name").text(venue.name);
    $template.find(".venue-description").text(venue.description);

    $template.off("click").on("click", async () => await selectVenue(venue.id));

    $("#venueContainer").append($template);
}

const selectVenue = async id => {
    const response = await $.ajax({
        url: `/api/venues/${id}/`,
        method: "GET"
    })

    alert(JSON.stringify(response, null, 4));
}
